### Method

# Ggit ObjectFactory register

#### Declaration [src]

    void
    ggit_object_factory_register (
      GgitObjectFactory* factory,
      GType basetype,
      GType subtype
    )

#### Description [src]

Register `subtype` as the instantiation class for `basetype`. Each time an object of type `basetype` is going to be created, an instance of `subtype` is created instead. `basetype` must be subclassed from `GgitObjectFactoryBase`.

#### Parameters

`basetype`

  Type: `GType`

  A `GType`.

`subtype`

  Type: `GType`

  A `GType`.